/* F.T.Liu
 * 10/04/02
 * Demonstrates sentinel or flag-controlled loops, using a while statement
 * This program calculates square roots for the user.  It asks them for
 * a number, calculates the square root, and then outputs the result.
 * Then it asks the user if they want to continue.  If so, it repeats
 * the process, looping until they no longer want to continue
 */

#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    float number;       /* number input by user                              */
    float result;       /* square root of the user's number                  */
    char response('y'); /* one-character response from user - tells whether  */
                        /* or not they want to continue the program.         */
                        /* initialize response to 'y' so loop will execute   */
                        /* at least one time                                 */

    /* calculate square roots until the user declines to continue.
       Note that we continue if they input a lower-case or upper-case y.
       All other responses are taken to mean "no" */
    while (response == 'y' || response == 'Y')
    {
        /* ask user for a number, store the number */
        cout << "Please type a number: ";
        cin >> number;

        /* calculate the square root */
        result = sqrt(number);

        /* output the result  */
        cout << "The square root of " << number << " is " << result << endl;

        /* find out from user whether or not they want to continue: */
        cout << "Do you want to continue? ";
        cin >> response;
    }
    return 0;
}
